Subject: bug#77134: package-reinstall should respect originating archives

From: Ship Mints <[email-masked]>
Date: Thu, 20 Mar 2025 11:11:23 -0400

I've installed a package that is hosted by multiple archives.  In this
example, it's "dirvish," a nice dired wrapper.  It is hosted in both
non-GNU ELPA and MELPA.  The dirvish author asked for feedback on the MELPA
version before bumping official version numbers which update releases on
ELPA, hence I have the hand-selected MELPA dirvish installed.  I have
package-archive-priorities that put both ELPAs above MELPA.

When I call package-reinstall on dirvish (to overwrite local changes, for
example), the non-GNU ELPA version is installed rather than reinstalling
the MELPA version which is what I expected to happen.  I'm guessing most
users have the same expectation.

-Stephane